OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeShellBasedSurfaceModel Class Reference

This class implements the mapping between classes
Face, Shell or Solid from TopoDS and ShellBasedSurfaceModel
from StepShape. All the topology and geometry comprised
into the shape are taken into account and translated.
.

`#include <TopoDSToStep_MakeShellBasedSurfaceModel.hxx>`

Inheritance diagram for TopoDSToStep_MakeShellBasedSurfaceModel:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeShellBasedSurfaceModel (const TopoDS_Face &F, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT | TopoDSToStep_MakeShellBasedSurfaceModel (const TopoDS_Shell &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT | TopoDSToStep_MakeShellBasedSurfaceModel (const TopoDS_Solid &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_ShellBasedSurfaceModel & | Value () const
## Private Attributes
Handle_StepShape_ShellBasedSurfaceModel | theShellBasedSurfaceModel

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeShellBasedSurfaceModel::TopoDSToStep_MakeShellBasedSurfaceModel | ( | const TopoDS_Face & | F,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

Standard_EXPORT TopoDSToStep_MakeShellBasedSurfaceModel::TopoDSToStep_MakeShellBasedSurfaceModel | ( | const TopoDS_Shell & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

Standard_EXPORT TopoDSToStep_MakeShellBasedSurfaceModel::TopoDSToStep_MakeShellBasedSurfaceModel | ( | const TopoDS_Solid & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

void TopoDSToStep_MakeShellBasedSurfaceModel::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeShellBasedSurfaceModel::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeShellBasedSurfaceModel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_ShellBasedSurfaceModel& TopoDSToStep_MakeShellBasedSurfaceModel::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_ShellBasedSurfaceModel TopoDSToStep_MakeShellBasedSurfaceModel::theShellBasedSurfaceModel`[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeShellBasedSurfaceModel.hxx